import { type TransformDefinition, type TransformOutputAssignment, type TransformPortDefinition, type ValueType } from '@jvalue/jayvee-language-server';
import { type ExecutionContext } from '../execution-context';
import { type TableColumn } from '../types/io-types/table';
export interface PortDetails {
    port: TransformPortDefinition;
    valueType: ValueType;
}
export declare class TransformExecutor {
    private readonly transform;
    private readonly context;
    constructor(transform: TransformDefinition, context: ExecutionContext);
    getInputDetails(): PortDetails[];
    getOutputDetails(): PortDetails;
    private getPortDetails;
    getOutputAssignment(): TransformOutputAssignment;
    executeTransform(columns: Map<string, TableColumn>, numberOfRows: number, context: ExecutionContext): {
        resultingColumn: TableColumn;
        rowsToDelete: number[];
    };
    private doExecuteTransform;
    private removeVariablesFromContext;
    private addVariablesToContext;
}
