import { type AtomicValueType, type BooleanValuetype, type DecimalValuetype, type IntegerValuetype, type InternalValueRepresentation, type TextValuetype, ValueTypeVisitor } from '@jvalue/jayvee-language-server';
export declare class SQLValueRepresentationVisitor extends ValueTypeVisitor<(value: InternalValueRepresentation) => string> {
    visitBoolean(valueType: BooleanValuetype): (value: InternalValueRepresentation) => string;
    visitDecimal(valueType: DecimalValuetype): (value: InternalValueRepresentation) => string;
    visitInteger(valueType: IntegerValuetype): (value: InternalValueRepresentation) => string;
    visitText(valueType: TextValuetype): (value: InternalValueRepresentation) => string;
    visitAtomicValueType(valueType: AtomicValueType): (value: InternalValueRepresentation) => string;
    visitRegex(): (value: InternalValueRepresentation) => string;
    visitCellRange(): (value: InternalValueRepresentation) => string;
    visitConstraint(): (value: InternalValueRepresentation) => string;
    visitValuetypeAssignment(): (value: InternalValueRepresentation) => string;
    visitCollection(): (value: InternalValueRepresentation) => string;
    visitTransform(): (value: InternalValueRepresentation) => string;
}
