import { type RuntimeParameterProvider } from '../../services';
import { type FreeVariableLiteral, type ReferenceLiteral, type ValueKeywordLiteral } from '../generated/ast';
import { type ValueTypeProvider } from '../wrappers';
import { type ValueType } from '../wrappers/value-type/value-type';
import { type InternalValueRepresentation } from './internal-value-representation';
import { type OperatorEvaluatorRegistry } from './operator-registry';
export declare class EvaluationContext {
    readonly runtimeParameterProvider: RuntimeParameterProvider;
    readonly operatorRegistry: OperatorEvaluatorRegistry;
    readonly valueTypeProvider: ValueTypeProvider;
    private readonly variableValues;
    private valueKeywordValue;
    constructor(runtimeParameterProvider: RuntimeParameterProvider, operatorRegistry: OperatorEvaluatorRegistry, valueTypeProvider: ValueTypeProvider);
    getValueFor(literal: FreeVariableLiteral): InternalValueRepresentation | undefined;
    setValueForReference(refText: string, value: InternalValueRepresentation): void;
    deleteValueForReference(refText: string): void;
    getValueForReference(referenceLiteral: ReferenceLiteral): InternalValueRepresentation | undefined;
    hasValueForRuntimeParameter(key: string): boolean;
    getValueForRuntimeParameter<I extends InternalValueRepresentation>(key: string, valueType: ValueType<I>): I | undefined;
    setValueForValueKeyword(value: InternalValueRepresentation): void;
    deleteValueForValueKeyword(): void;
    getValueForValueKeyword(literal: ValueKeywordLiteral, valueTypeProvider: ValueTypeProvider): InternalValueRepresentation | undefined;
}
