import { type CellLiteral, type CellRangeLiteral, type ColumnLiteral, type RangeLiteral, type RowLiteral } from '../generated/ast';
import { type AstNodeWrapper } from './ast-node-wrapper';
import { CellIndex, type CellIndexBounds } from './util/cell-index';
export declare class CellRangeWrapper<N extends CellRangeLiteral = CellRangeLiteral> implements AstNodeWrapper<N> {
    readonly astNode: N;
    readonly from: CellIndex;
    readonly to: CellIndex;
    constructor(cellRange: N, indexes?: {
        from: CellIndex;
        to: CellIndex;
    });
    static canBeWrapped(cellRange: CellRangeLiteral): boolean;
    isOneDimensional(): boolean;
    numberOfCells(): number;
    private getNumberOfRows;
    private getNumberOfColumns;
    isInBounds(bounds: CellIndexBounds): boolean;
    resolveRelativeIndexes(bounds: CellIndexBounds): CellRangeWrapper<N>;
    hasRelativeIndexes(): boolean;
    toString(): string;
}
export type ColumnWrapper = CellRangeWrapper<ColumnLiteral | RangeLiteral>;
export type RowWrapper = CellRangeWrapper<RowLiteral | RangeLiteral>;
export type CellWrapper = CellRangeWrapper<CellLiteral | RangeLiteral>;
