import { type AstNode, type LangiumDocument, type MaybePromise } from 'langium';
import { type CodeLensProvider } from 'langium/lsp';
import { type CodeLens } from 'vscode-languageserver';
export interface RunJayveeCodeLensPayload {
    filePath: string;
    pipelineName: string;
}
export interface ShowPipeOutputCodeLensPayload {
    pipeOutputName: string;
    lineNumber: number;
}
export declare function isRunJayveeCodeLensPayload(payload: unknown): payload is RunJayveeCodeLensPayload;
export declare function isShowPipeOutputCodeLensPayload(payload: unknown): payload is ShowPipeOutputCodeLensPayload;
export declare class JayveeCodeLensProvider implements CodeLensProvider {
    provideCodeLens(document: LangiumDocument<AstNode>): MaybePromise<CodeLens[] | undefined>;
}
