import { type LangiumDocuments, type MaybePromise } from 'langium';
import { type CompletionAcceptor, type CompletionContext, DefaultCompletionProvider, type NextFeature } from 'langium/lsp';
import { type WrapperFactoryProvider } from '../ast';
import { type JayveeServices } from '../jayvee-module';
import { type JayveeImportResolver } from '../services';
export declare class JayveeCompletionProvider extends DefaultCompletionProvider {
    protected langiumDocuments: LangiumDocuments;
    protected readonly wrapperFactories: WrapperFactoryProvider;
    protected readonly importResolver: JayveeImportResolver;
    constructor(services: JayveeServices);
    completionFor(context: CompletionContext, next: NextFeature, acceptor: CompletionAcceptor): MaybePromise<void>;
    private completionForBlockType;
    private completionForConstraintType;
    private completionForValuetype;
    private completionForPropertyName;
    private completionForImportPath;
    private completionForImportElement;
    /**
     * Gets all paths to available documents, formatted as relative paths.
     * Does not include path to stdlib files as they don't need to be imported.
     * The paths don't include string delimiters.
     */
    private getImportPathsFormatted;
    private constructPropertyCompletionValueItems;
}
